Bug 819211 - IPv6 address not recognised in anaconda
IPv6 address not recognised in anaconda
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 14:26 EDT by A.J. Werkman
Modified: 2013-08-01 09:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:14:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A.J. Werkman 2012-05-05 14:26:29 EDT
Description of problem:
Using an IPv6 address from the boot command-line, this address is not recognised.

Version-Release number of selected component (if applicable):
17-TC3

How reproducible:
Everytime

Steps to Reproduce:
1. Start F17 installation
2. Pass ipv6=<address> as commandline argument
3.
  
Actual results:
System ends in a kernel panic

Expected results:
IPv6 address is used to configure the network interface

Additional info:
Next text is seen on the computer screen, which shows that the ip-address is not recognized. It looks like the IPv6 address is passed as if it is a IPv4 address.

================================================================================
[9.496345] dracut: Refusing to continue
[ 9.497399] dracut Waming: Signal caught! dracut Waming: Signal caught!
[ 9.498284] dracut Warning: dracut: Fatal: For argument 'ip=[2001:838:375:2:: 70]'\nSorry, unknown value '2001:838:375:2::70'
dracut Warning: dracut: Fatal: For argument 'ip=[2001:838:375:2::70]\nSorry, un known value '2001:838:375:2::70'
[ 9.498812] dracut Warning: dracut: Refusing to continue dracut warning: dracut: Refusing to continue
[ 9.499416] dracut Warning: /dev/root does not exist dracut Warning: /dev/root does not exist
[ 9.500329] Kemel panic - not syncing: Attempted to kill init!
[ 9.500388] Pid: 1, comm: init Not tainted 3.3.4-3.fc17.i686 #1
[ 9.500442] Call Trace:
[ 9.500501] [<c091ffc8>] ? printk+0x2d/0x2f
[ 9.500557] [<c091fea4>] panic+0x81/0x178
[ 9.500614] [<c043b51f>] do_exit+0x7ff/0x800
[ 9.500669] [<c043b7b4>] do_group_exit+0x34/0xa0
[ 9.500726] [<c0449cd3>] ? sysjrt.sigprocaask+0x73/0x90
[ 9.500780] [<c043b838>] sys exit group+Ox18/0x20
[ 9.5008361 [<c0927e64>] syscall call+0x7/0xb
Comment 1 Will Woods 2012-05-07 19:20:54 EDT
For static IP configurations, use this syntax:

  ip=<address>::[gateway]:<netmask>:[hostname]:<interface>:none

Gateway and hostname are optional. Netmask can be a mask ('255.255.255.0') or a prefix ('64'). For example:

  ip=[2001:838:375:2::70]::[2001:838:375:2::1]:64::eth0:none
Comment 2 A.J. Werkman 2012-05-09 04:29:46 EDT
- 'ipv6=' was/is documented as the way to configure ipv6 addresses manually. Although apparently this option is no longer supported, using this option must not crash the installation process.

- I tried the option described in comment 1, but it does not configure the interface properly and eventually drops me in a dracut debug shell. As I am not familiar with the dracut shell I don't know how to collect information as to what exactly goes wrong.

I can reproduce this, so any directions on how to go from here are welcome.
Comment 3 A.J. Werkman 2012-06-10 05:43:32 EDT
(In reply to comment #1)
> For static IP configurations, use this syntax:
> 
>   ip=<address>::[gateway]:<netmask>:[hostname]:<interface>:none
> 
> Gateway and hostname are optional. Netmask can be a mask ('255.255.255.0')
> or a prefix ('64'). For example:
> 
>   ip=[2001:838:375:2::70]::[2001:838:375:2::1]:64::eth0:none

In the current F 17 release, when I us this syntax it looks like anaconda recognizes this addresses as if they where IPv4 addresses. In the ifcfg-<iface> file I see:

IPADDR="2001:838:375:2::70"
GATEWAY="2001:838:375:2::1"
PREFIX="64"
Comment 4 Fedora End Of Life 2013-07-04 00:20:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:14:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.